Create voice
POST/audio/voices
Create a custom voice you can use for audio output (for example, in Text-to-Speech and the Realtime API). This requires an audio sample and a previously uploaded consent recording.
Send name, audio_sample, and the consent recording ID as multipart form data. The optional type defaults to audio_sample.
Returns the saved voice’s metadata. See the custom voices guide for requirements and best practices. Custom voices are limited to eligible customers.
Create voice
curl https://api.openai.com/v1/audio/voices \
-X POST \
-H "Authorization: Bearer $OPENAI_API_KEY" \
-F "name=My new voice" \
-F "consent=cons_1234" \
-F "audio_sample=@audio_sample.wav;type=audio/x-wav"
{
"id": "id",
"created_at": 0,
"name": "name",
"object": "audio.voice",
"type": "audio_sample"
}Returns Examples
{
"id": "id",
"created_at": 0,
"name": "name",
"object": "audio.voice",
"type": "audio_sample"
}
